a=[]
a.append(input().split(' '))
d=a[0]
for i in range(d):
    a.append(input().split(' '))
    
a=int(a)

e=len(a)
for i in range(a[2],e):
    num+=1
    
f=a[1]

if f>num:
    print(f)
    
if f<num:
    print(num)
    
if f==num:
    print(f)